xeno-0.6: A fast event-based XML parser in pure Haskell

Safe Haskell | None
Language | Haskell2010

Xeno.Errors

Description

Simplifies raising and presenting localized exceptions to the user.

Synopsis

- printExceptions :: ByteString -> [XenoException] -> IO ()
- displayException :: ByteString -> XenoException -> ByteString
- getStartIndex :: ByteString -> Int
- failHere :: ByteString -> ByteString -> Either XenoException a

# Documentation

printExceptions :: ByteString -> [XenoException] -> IO () Source #

Print schema errors with excerpts

displayException :: ByteString -> XenoException -> ByteString Source #

getStartIndex :: ByteString -> Int Source #

failHere :: ByteString -> ByteString -> Either XenoException a Source #